#ifndef MY_IMAGE_H
#define MY_IMAGE_H


#include<highgui.h>
#include <cv.h>

#include <iostream>
#include <cmath>


class my_image
{

public:
        //metody
    my_image(IplImage *img);
    my_image(my_image *img);
    ~my_image();
    uchar get(int x,int y);
    void set(int x, int y,uchar color);
    void clean_all();//vymaze obraz = nastavi ho na cernou barvu
    void white_all();//nastavi obraz na bilou barvu

    IplImage * get_cv_image();
    int Width();
    int Height();
protected:
    int width;
    int height;
    int  depth;
    int  nChannels;
    uchar **data;

    //metody
    uchar ** alocate_mem();

};

#endif // MY_IMAGE_H
